URL:
  <http://gna.org/patch/?2573>

                 Summary: Replace deprecated GtkOptionMenu use with
GtkComboBox use
                 Project: Freeciv
            Submitted by: cazfi
            Submitted on: Sat 26 Feb 2011 11:55:48 PM EET
                Category: client-gtk-2.0
                Priority: 5 - Normal
                  Status: Ready For Test
                 Privacy: Public
             Assigned to: None
        Originator Email: 
             Open/Closed: Open
         Discussion Lock: Any
         Planned Release: 2.4.0

    _______________________________________________________

Details:

Deprecated GtkOptionMenu has been used for AI level list. Attached patch
makes it to use GtkComboBox instead.

Has there been any problems with long deprecated GtkOptionMenu in newer
gtk-versions? If yes, we can consider this for S2_3 also as bugfix against
those problems. Not setting that as target release yet, but that can be
changed if someone comes up with bugreport.



    _______________________________________________________

File Attachments:


-------------------------------------------------------
Date: Sat 26 Feb 2011 11:55:48 PM EET  Name: DeprAiLevels.diff  Size: 3kB  
By: cazfi

<http://gna.org/patch/download.php?file_id=12572>

    _______________________________________________________

Reply to this item at:

  <http://gna.org/patch/?2573>

_______________________________________________
  Message sent via/by Gna!
  http://gna.org/


_______________________________________________
Freeciv-dev mailing list
Freeciv-dev@gna.org
https://mail.gna.org/listinfo/freeciv-dev

Reply via email to